# Generated by Django 2.2.24 on 2023-01-11 18:57

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('ishtar_common', '0221_auto_20220823_1935'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='spatialreferencesystem',
            options={'ordering': ('order', 'label'), 'verbose_name': 'Geographic - Spatial reference system', 'verbose_name_plural': 'Geographic - Spatial reference systems'},
        ),
        migrations.AddField(
            model_name='apiexternalsource',
            name='exports',
            field=models.TextField(default='', verbose_name='Exports slug'),
        ),
        migrations.AddField(
            model_name='apiexternalsource',
            name='exports_label',
            field=models.TextField(default='', verbose_name='Exports label'),
        ),
        migrations.AddField(
            model_name='apiexternalsource',
            name='search_columns',
            field=models.TextField(default='', verbose_name='Search columns'),
        ),
        migrations.AddField(
            model_name='apiexternalsource',
            name='search_columns_label',
            field=models.TextField(default='', verbose_name='Search columns label'),
        ),
        migrations.AddField(
            model_name='apisearchmodel',
            name='export',
            field=models.ManyToManyField(blank=True, related_name='search_model_exports', to='ishtar_common.ImporterType', verbose_name='Export'),
        ),
        migrations.AddField(
            model_name='apisearchmodel',
            name='table_format',
            field=models.ForeignKey(help_text='Not used. Set it when table columns will be set by importer.', null=True, on_delete=django.db.models.deletion.PROTECT, related_name='search_model_table_format', to='ishtar_common.ImporterType', verbose_name='Table formats'),
        ),
        migrations.AlterField(
            model_name='apiexternalsource',
            name='users',
            field=models.ManyToManyField(blank=True, to='ishtar_common.IshtarUser', verbose_name='Users'),
        ),
        migrations.AlterField(
            model_name='apisearchmodel',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ishtar_common.ApiUser', verbose_name='User'),
        ),
        migrations.AlterField(
            model_name='apiuser',
            name='user_ptr',
            field=models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, primary_key=True, related_name='apiuser', serialize=False, to=settings.AUTH_USER_MODEL, verbose_name='User'),
        ),
        migrations.AlterField(
            model_name='import',
            name='skip_lines',
            field=models.IntegerField(default=1, help_text='Number of header lines in your file (can be 0 and should be 0 for geopackage or Shapefile).', verbose_name='Skip lines'),
        ),
        migrations.AlterField(
            model_name='import',
            name='state',
            field=models.CharField(choices=[('C', 'Created'), ('AP', 'Analyse in progress'), ('A', 'Analysed'), ('HQ', 'Check modified in queue'), ('IQ', 'Import in queue'), ('HP', 'Check modified in progress'), ('IP', 'Import in progress'), ('PP', 'Post-processing in progress'), ('PI', 'Partially imported'), ('FE', 'Finished with errors'), ('F', 'Finished'), ('AC', 'Archived')], default='C', max_length=2, verbose_name='State'),
        ),
        migrations.AlterField(
            model_name='importertype',
            name='unicity_keys',
            field=models.CharField(blank=True, help_text='Mandatory for update importer. Set to key that identify items without ambiguity. Warning: __ is not supported, only use level 1 key.', max_length=500, null=True, verbose_name='Unicity keys (separator ";")'),
        ),
        migrations.AlterField(
            model_name='town',
            name='geodata',
            field=models.ManyToManyField(blank=True, related_name='related_items_ishtar_common_town', to='ishtar_common.GeoVectorData', verbose_name='Geodata'),
        ),
        migrations.AlterField(
            model_name='town',
            name='main_geodata',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='main_related_items_ishtar_common_town', to='ishtar_common.GeoVectorData', verbose_name='Main geodata'),
        ),
        migrations.AlterField(
            model_name='valueformater',
            name='format_string',
            field=models.CharField(help_text='A string used to format a value using the Python "format()" method. The site https://pyformat.info/ provide good examples of usage. Only one "{}" entry is managed. Instead you can use "{item}". The input is assumed to be a string.', max_length=100, verbose_name='Format string'),
        ),
    ]
